List transactions

Permissions required: Read vault activity

List all transactions for the vaults permissioned to your API key. You can retrieve metadata about your API key from the API Key endpoints.

NOTE: price and USD value information is recent but does not reflect real-time data.

Filters

You may optionally supply the following filters:

  • Set a date range by providing the startDate and/or endDate query parameters. The date refers to the end time of a transaction: when the transaction succeeded or failed. If the date parameters are omitted, all transactions will be returned.
  • Select transactions involving a specific vault by providing the vaultId parameter. If the vaultId parameter is omitted, transactions for all vaults for which your API key is permissioned will be returned.
  • Filter transactions of one or more types with the types parameter. Multiple types should be separated by commas.
  • Select transactions involving a specific wallet by providing the walletId parameter. If the walletId parameter is omitted, transactions for all vaults for which your API key is permissioned will be returned.
  • Filter transactions by the receiving address with the destinationAddress parameter.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The vault ID to get transactions for

date

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is '2017-01-01`. Dates are always in UTC RFC 3339 'full-date'.

date

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

int64
1 to 100
Defaults to 25

Maximum number of results to return per query

types
array of strings, unique

A comma-separated list of transaction types to return.

string

An ID uniquely identifying an Anchorage Digital wallet

string

The destination address on the transaction for which results will be returned

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json